v1.0
put
/ec-library-svc/rest/v1.0/libraryObjects/kits/{libraryKitId}
Updates a specific library kit by ID.
Request
Path Parameters
-
libraryKitId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the library object.Example:
B1B8327AFAA6412287106192AB5984EF
Supported Media Types
- application/json
Root Schema : LibraryKitsDtoV1.0
Type:
objectTitle:
LibraryKitsDtoV1.0Information about library kits.
Show Source
-
kitDescription: string
(string)
Title:
Kit descriptionDescription of the kit.Example:Placebo -
libraryKitId: string
Title:
Library kit IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the library kit.Example:B1B8327AFAA6412287106192AB5984EF -
poolingId: string
(string)
Title:
Pooling IDPooling identifier for the kit.Example:BPAF -
status: string
Title:
StatusAllowed Values:[ "DRAFT", "APPROVED", "ARCHIVED", "PUBLISHED" ]Status of the resource.Example:DRAFT -
storageSetting: string
Title:
Storage settingAllowed Values:[ "AMBIENT", "REFRIGERATED", "FROZEN" ]Storage setting of the kit.Example:REFRIGERATED -
trialSupplyType: string
Title:
Trial supply typeTrial supply type of the kit.Example:BOTTLE -
unitsPerKit: number
(double)
Title:
Units per kitNumber of units per kit.Example:5
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : LibraryKitsDtoV1.0
Type:
objectTitle:
LibraryKitsDtoV1.0Information about library kits.
Show Source
-
kitDescription: string
(string)
Title:
Kit descriptionDescription of the kit.Example:Placebo -
libraryKitId: string
Title:
Library kit IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the library kit.Example:B1B8327AFAA6412287106192AB5984EF -
poolingId: string
(string)
Title:
Pooling IDPooling identifier for the kit.Example:BPAF -
status: string
Title:
StatusAllowed Values:[ "DRAFT", "APPROVED", "ARCHIVED", "PUBLISHED" ]Status of the resource.Example:DRAFT -
storageSetting: string
Title:
Storage settingAllowed Values:[ "AMBIENT", "REFRIGERATED", "FROZEN" ]Storage setting of the kit.Example:REFRIGERATED -
trialSupplyType: string
Title:
Trial supply typeTrial supply type of the kit.Example:BOTTLE -
unitsPerKit: number
(double)
Title:
Units per kitNumber of units per kit.Example:5
Examples
500 Response
Error
Nested Schema : details
Type:
object